GapFragmenter (Solr 3.6.2 API)
Keywords: org.apache.solr.highlight.GapFragmenter class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.solr.highlight
Class GapFragmenter

    java.lang.Object
      org.apache.solr.highlight.HighlightingPluginBase
          org.apache.solr.highlight.GapFragmenter

All Implemented Interfaces:
  SolrInfoMBean, SolrFragmenter, NamedListInitializedPlugin

    public class GapFragmenter

extends HighlightingPluginBase
implements SolrFragmenter

Nested Class Summary

Nested classes/interfaces inherited from interface org.apache.solr.core.SolrInfoMBean
`SolrInfoMBean.Category`

Field Summary

Fields inherited from class org.apache.solr.highlight.HighlightingPluginBase
`defaults, numRequests`

Constructor Summary
`GapFragmenter()`

Method Summary
`String` | `getDescription()` Simple one or two line description
`Fragmenter` | `getFragmenter(String fieldName, SolrParams params)` Return a `Fragmenter` appropriate for this field.
`String` | `getSource()` CVS Source, SVN Source, etc
`String` | `getSourceId()` CVS Id, SVN Id, etc
`String` | `getVersion()` Simple common usage version, e.g.

Methods inherited from class org.apache.solr.highlight.HighlightingPluginBase
`getCategory, getDocs, getName, getStatistics, init`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.solr.highlight.SolrFragmenter
`init`

Methods inherited from interface org.apache.solr.core.SolrInfoMBean
`getCategory, getDocs, getName, getStatistics`

Constructor Detail

### GapFragmenter

    public GapFragmenter()

Method Detail

### getFragmenter

    public Fragmenter getFragmenter(String fieldName,
                                    SolrParams params)

  Description copied from interface: `SolrFragmenter`
  Return a `Fragmenter` appropriate for this field.

  Specified by:
    `getFragmenter` in interface `SolrFragmenter`
  Parameters:
    `fieldName` - The name of the field
    `params` - The params controlling Highlighting
  Returns:
    An appropriate `Fragmenter`.

### getDescription

    public String getDescription()

  Description copied from interface: `SolrInfoMBean`
  Simple one or two line description

  Specified by:
    `getDescription` in interface `SolrInfoMBean`
  Specified by:
    `getDescription` in class `HighlightingPluginBase`

### getVersion

    public String getVersion()

  Description copied from interface: `SolrInfoMBean`
  Simple common usage version, e.g. 2.0

  Specified by:
    `getVersion` in interface `SolrInfoMBean`
  Specified by:
    `getVersion` in class `HighlightingPluginBase`

### getSourceId

    public String getSourceId()

  Description copied from interface: `SolrInfoMBean`
  CVS Id, SVN Id, etc

  Specified by:
    `getSourceId` in interface `SolrInfoMBean`
  Specified by:
    `getSourceId` in class `HighlightingPluginBase`

### getSource

    public String getSource()

  Description copied from interface: `SolrInfoMBean`
  CVS Source, SVN Source, etc

  Specified by:
    `getSource` in interface `SolrInfoMBean`
  Specified by:
    `getSource` in class `HighlightingPluginBase`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD